
CC = gcc
CFLAGS = -ansi -pedantic -lgraph 
OBJS = main.o serpent.o time.o terrain.o Oeuf.o


snake: $(OBJS)
	$(CC)  -o snake $(OBJS) $(CFLAGS)

main.o:  serpent.h time.h Oeuf.h main.h menu.h
	$(CC) -c main.c $(CFLAGS)

serpent.o: serpent.h
	$(CC) -c serpent.c $(CFLAGS)

menu.o: main.h time.h
	$(CC) -c menu.c $(CFLAGS)

time.o:  time.h serpent.h main.h
	$(CC) -c time.c $(CFLAGS)

Oeuf.o:  Oeuf.h time.h 
	$(CC) -c Oeuf.c $(CFLAGS)

terrain.o:  terrain.h serpent.h time.h main.h Oeuf.h
	$(CC) -c terrain.c $(CFLAGS)

clean:
	rm -f *.o snake